Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Published Series Part Status Moisture Sensitivity Level (MSL) Max Operating Temperature Min Operating Temperature Color Gender Length RoHS Status Lead Free Package / Case Reach Compliance Code Impedance Operating Temperature Connector Type A Connector Type B Feature Style Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
CBA-SMA-SMA30 CBA-SMA-SMA30 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Black Female to Male 2.9972m RoHS Compliant SMA Plug, SMA, Socket Plug, SMA Shielded
CBA-SMAMR-MMCXM CBA-SMAMR-MMCXM RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Black Male to Male 7.874 200.00mm RoHS Compliant SMA 50Ohm Plug, SMA MMCX, Plug SMA to MMCX SMA Male Plug, Right Angle MMCX Male Plug RG-174
CBA-SMA-MMCXRA CBA-SMA-MMCXRA RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active 1 (Unlimited) Black Female to Male 3.937 100.00mm RoHS Compliant SMA MMCX, Plug Shielded SMA to MMCX SMA Female Jack MMCX Male Plug, Right Angle RG-174
CBA-SMA-SMA18 CBA-SMA-SMA18 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Black Female to Male 1.80086m RoHS Compliant SMA 50Ohm Plug, SMA, Socket Plug, SMA Shielded 6GHz
CBA-SMAF-MCXMR CBA-SMAF-MCXMR RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Gray Female to Male 7.874 200.00mm RoHS Compliant SMA 50Ohm Plug SMA to MCX SMA Female Jack MCX Male Plug, Right Angle RG-174
CBA-TNCF-MCXM CBA-TNCF-MCXM RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Black Female to Male 7.874 200.00mm RoHS Compliant 50Ohm Plug TNC MCX Male Plug TNC Female Jack RG-174
CABLE 197 RF-100-A-4 CABLE 197 RF-100-A-4 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Male 3.937 100.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to RP-SMA 3GHz RP-SMA Female Jack, Male Pin U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
CABLE 138 RF-0100-A-2 CABLE 138 RF-0100-A-2 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Black Female to Male 3.937 100.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to RP-SMA 3GHz RP-SMA Female Jack, Male Pin U.FL (UMCC), IPEX Plug, Female Socket, Right Angle 1.37mm OD Coaxial Cable
CABLE 138 RF-0050-A-2 CABLE 138 RF-0050-A-2 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Black Female to Male 1.969 50.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to RP-SMA 3GHz RP-SMA Female Jack, Male Pin U.FL (UMCC), IPEX Plug, Female Socket, Right Angle 1.37mm OD Coaxial Cable
4189-12 4189-12 KSM Electronics Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 6 Weeks Cable 2011 Active Not Applicable White Female to Female 12.00 304.80mm RoHS Compliant Lead Free Shielded FL to FL FL Female Jack FL Female Jack RG-174
5-1589070-5 5-1589070-5 TE Connectivity / AMP 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CLU40-KMKM-02.50F CLU40-KMKM-02.50F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Clarity™ Active 1 (Unlimited) Blue Male to Male 30.00 762.00mm RoHS Compliant 50Ohms Shielded 2.92mm to 2.92mm 40GHz 2.92mm Male Plug 2.92mm Male Plug
CLS40-KMKF-02.00F CLS40-KMKF-02.00F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Clarity™ Active 1 (Unlimited) Blue Female to Male 24.00 609.60mm RoHS Compliant 50Ohms Armored Cable, Shielded 2.92mm to 2.92mm 40GHz 2.92mm Female Jack 2.92mm Male Plug
CLU40-KMKF-02.00F CLU40-KMKF-02.00F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Clarity™ Active 1 (Unlimited) Blue Female to Male 24.00 609.60mm RoHS Compliant 50Ohms Shielded 2.92mm to 2.92mm 40GHz 2.92mm Female Jack 2.92mm Male Plug
5268(RG214/U) 5268(RG214/U) Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
5267(RG213/U) 5267(RG213/U) Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
89761-6772 89761-6772 Molex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks 2012 Active Black Female to Male 457.2mm RoHS Compliant unknown 50Ohm SMA Plug Shielded Male Female
1300-00023 1300-00023 Laird - Wireless & Thermal Systems 16.2170
Add to Cart

Min: 1

Mult: 1

0.00000000 download 14 Weeks Cable 2005 Active 1 (Unlimited) 65°C -20°C Male to Male 7.000 177.80mm RoHS Compliant Lead Free 50Ohms -20°C~65°C Male Pin, SMA MMCX, Plug Shielded RP-SMA to MMCX 2.5GHz RP-SMA Female Jack, Male Pin MMCX Male Plug, Right Angle RG-316
58-300-1M 58-300-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2004 58 Active Not Applicable Black Male to Male 300.0 7.6m 25.0' RoHS Compliant Molded 50Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58
58-1200-1M 58-1200-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 58 Active Not Applicable Black Male to Male 1200.0 30.5m 100.0' RoHS Compliant Molded 50Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58
59-024-1M 59-024-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 59 Active Not Applicable Black Male to Male 24.00 609.60mm RoHS Compliant Molded 75Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-59
59-048-1M 59-048-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2004 59 Active Not Applicable Black Male to Male 48.0 1.2m 4.0' RoHS Compliant Molded 75Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-59
59-1200-1M 59-1200-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2004 59 Active Not Applicable Black Male to Male 1200.0 30.5m 100.0' RoHS Compliant Molded 75Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-59
59-072-1M 59-072-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2004 59 Active Not Applicable Black Male to Male 72.0 1.8m 6.0' RoHS Compliant Lead Free Molded 75Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-59
F6-6W F6-6W TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable 2005 F Active Not Applicable White Male to Male 72.0 1.8m 6.0' RoHS Compliant 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
58-120-1M 58-120-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 58 Active Not Applicable Black Male to Male 120.0 3.0m 10.0' RoHS Compliant Molded 50Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58
F6-15B F6-15B TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable 2004 F Active Not Applicable Black Male to Male 180.0 4.6m 15.0' RoHS Compliant 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
RFC-1932 RFC-1932 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1225 RFC-1225 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1114 RFC-1114 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support